
#{extends 'border.html'/}
<div class="container">
#{form @penyedia.KontrakCtr.cetakPenetapanProdukSubmit(), method:'POST', class:'form-horizontal cetak', enctype:'multipart/form-data'}
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{controllers.prakatalog.PenawaranCtr.index()}">&{'penawaran.label'}</a></li>
                <li><a href="@{penyedia.KontrakCtr.listLampiranKontrak(pid)}">&{'daftar_lampiran_kontrak.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'lampiran_kontrak.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton /}
                <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> &{'simpan.label'}</button>
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-md-12">
                        <input type="hidden" name="pid" value="${pid}"/>
                        <input type="hidden" name="id" value="${lampiranKontrak.id}"/>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'nomor_surat.label'}</label>
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="dokumenPenetapanProduk.nomorSurat" value="${lampiranKontrak?.no_surat}" required />
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'perihal_surat.label'}</label>
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="dokumenPenetapanProduk.perihalSurat" value="${lampiranKontrak?.perihal_surat}" required />
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'tanggal_surat.label'}</label>
                            <div class="col-md-3">
                                <input type="text" id="tanggalSurat" name="dokumenPenetapanProduk.tanggalSurat" value="${tanggal_surat}" class="form-control" required />
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'nomor.label'} BA &{'negosiasi.label'}</label>
                            <div class="col-md-6">
                                <input type="text" name="dokumenPenetapanProduk.nomorBeritaAcaraNego" value="${lampiranKontrak?.no_berita_acara}" class="form-control" required />
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'tanggal.label'} BA &{'negosiasi.label'}</label>
                            <div class="col-md-3">
                                <input type="text" id="tanggalBeritaAcaraNego" name="dokumenPenetapanProduk.tanggalBeritaAcaraNego" value="${tanggal_berita_acara}" class="form-control" required />
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <textarea id="mytextarea" name="dokumenPenetapanProduk.dokumenLampiran" rows="20" class="form-control">#{printBerita dokumenTemplate.template/}</textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{set 'moreLibs'}
<script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}

<script type="text/javascript">
    jQuery(document).ready(function() {
        $('#tanggalSurat').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });

        $('#tanggalBeritaAcaraNego').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });


        jQuery('.cetak').submit(function(){
            var kontrakDocs  = tinymce.get('mytextarea').getContent();
            var kontrakDocsE = htmlEscape(kontrakDocs);
            tinymce.get('mytextarea').setContent(kontrakDocsE);
        });
    });

    tinymce.init({
        selector: '#mytextarea',
        images_upload_base_path: "@{'/public/files/image'}",
        plugins : 'advlist autolink link image lists charmap print preview code',
        a_plugin_option: true,
        a_configuration_option: 400,
        images_upload_handler: function (blobInfo, success, failure) {
            var xhr, formData;
            xhr = new XMLHttpRequest();
            xhr.withCredentials = false;
            xhr.open('POST', '@{MediaManager.upload()}');

            xhr.onload = function() {
                var json;

                if (xhr.status != 200) {
                    failure('HTTP Error: ' + xhr.status);
                    return;
                }

                json = JSON.parse(xhr.responseText);

                if (!json || typeof json.location != 'string') {
                    failure('Invalid JSON: ' + xhr.responseText);
                    return;
                }

                success(json.location);
            };

            formData = new FormData();
            formData.append('file', blobInfo.blob(), blobInfo.filename());

            xhr.send(formData);
        },
        image_caption: true,
        image_list: "@{MediaManager.listImageGallery()}"


    });
</script>
#{/set}



